'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var genaiPluginForBackstageNode = require('@aws/genai-plugin-for-backstage-node');
var LangGraphReactAgentType = require('./LangGraphReactAgentType.cjs.js');

const genAiPluginForBackstageModuleLangGraphAgent = backendPluginApi.createBackendModule({
  pluginId: "aws-genai",
  moduleId: "agent-langgraph",
  register(reg) {
    reg.registerInit({
      deps: {
        config: backendPluginApi.coreServices.rootConfig,
        logger: backendPluginApi.coreServices.logger,
        agentType: genaiPluginForBackstageNode.agentTypeExtensionPoint
      },
      async init({ agentType, config, logger }) {
        agentType.addAgentType({
          create: async (agentConfig, tools) => LangGraphReactAgentType.LangGraphReactAgentType.fromConfig(
            config,
            agentConfig,
            tools,
            logger
          ),
          getTypeName: () => "langgraph-react"
        });
      }
    });
  }
});

exports.genAiPluginForBackstageModuleLangGraphAgent = genAiPluginForBackstageModuleLangGraphAgent;
//# sourceMappingURL=module.cjs.js.map
